/*
SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
*/
:root {
  --pr-clr: #0b7285;
  --se--clr: #15aabf;
  --tr--clr: #495057;
  --trl--clr: #4950577b;
  --bg--clr: #dee2e6;
  --ft--clr: white;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  scrollbar-width: none;
}
body {
  font-family: "Hind", sans-serif;
  background-color: var(--bg--clr);
  overflow-x: hidden;
  scroll-behavior: smooth;
}
main {
  max-width: 100vw;
}
.logo {
  height: 7.2rem;
}

nav {
  height: 8.2rem;
  max-width: 100vw;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: var(--pr-clr);
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  font-weight: 400;
}
.menu-ul {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
  list-style: none;

  color: var(--ft--clr);
}
.menu-ul > li {
  position: relative;
  font-size: 1.5rem;
}
a {
  color: black;
}
.drop-content {
  position: absolute;
  display: none;
  width: 30rem;
  height: auto;
  background-color: var(--pr-clr);
  z-index: 1;
}

.drop-svg {
  width: 2rem;
}
.menu-ul-li:hover .drop-content {
  display: block;
  animation: slide3 2s;
}
.grid-2-col {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 2rem;
}

.grid-3-col {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: auto;
}
.grid-4-col {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 0;
}
.flex {
  display: flex;

  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.flex-col {
  display: flex;
  padding: 10% 0;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}
.flex-col > h1 {
  font-size: 4rem;
  line-height: 4rem;
}
.bg-ecom {
  background-image: url(https://images.unsplash.com/photo-1573376670774-4427757f7963?q=80&w=2071&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-service {
  background-image: url(https://images.unsplash.com/photo-1460925895917-afdab827c52f?q=80&w=2015&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-indestries {
  background-image: url(https://images.unsplash.com/photo-1588011930968-eadac80e6a5a?q=80&w=2069&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-about {
  background-image: url(https://images.unsplash.com/photo-1549483249-f0b359d1e289?q=80&w=1974&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
}
.bg-re {
  background-image: url(https://images.unsplash.com/photo-1467654513564-17c5e87d8f20?q=80&w=2070&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-size: cover;
}
.input-cl {
  border: none;
  border-radius: 5px;
  margin-bottom: 20px;
  height: 40px;
}
.input-cl:focus {
  border: none;
}
input {
  width: 200px;
  -webkit-transition: width 0.35s ease-in-out;
  transition: width 0.35s ease-in-out;
}
input:focus {
  width: 250px;
}
button {
  padding: 1.3em 3em;
  font-size: 12px;
  text-transform: uppercase;
  letter-spacing: 2.5px;
  font-weight: 500;
  color: #000;
  background-color: #fff;
  border: none;
  /* border-radius: 45px; */
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease 0s;
  cursor: pointer;
  outline: none;
}

button:hover {
  background-color: #0b7285;
  box-shadow: 0px 15px 20px rgba(46, 125, 229, 0.4);
  color: #fff;
  transform: translateY(-7px);
}

button:active {
  transform: translateY(-1px);
}
.pr-10 {
  padding: 10%;
}
.flex-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

  gap: 2%;
}
.card {
  width: 280px;
  height: 280px;
  background-color: whitesmoke;
  border: 1px solid grey;
  padding: 25px;
  position: relative;
  border-radius: 50px;
  background: #e0e0e0;
  box-shadow: 20px 20px 60px #bebebe, -20px -20px 60px #ffffff;
}
.card > span {
  position: absolute;
  bottom: 0%;
  right: 0%;
}
.card > span > i {
  transform: rotate(-45deg);
  color: #0b7285;
}
.card > p {
  font-size: 1rem;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: wrap;
}
.login-btn {
  display: block;
  width: 150px;
  color: white;
  text-decoration: none;
  font-size: 2rem;
  padding: 0.7% 4%;
  border: 2px solid white;
}
.login-btn:hover,
.hero-btn:hover {
  background-color: var(--se--clr);
}
section {
  max-width: 100vw !important;
}
.hero {
  display: grid;
  max-width: 100vw;
  grid-template-columns: 1fr;
  gap: 0;
  padding: 10% 10%;
  /* background-image: linear-gradient(#ffffff, #200e79),
    url(../img/eugene-golovesov-vvqRYeu53uE-unsplash.jpg);
  background-size: cover;
  background-blend-mode: saturation; */
}
.hero-col {
  max-width: 80vw;
}
.hero-sub-head {
  font-size: 2rem;
  letter-spacing: 0.3rem;
  color: var(--pr-clr);
}
/* .hero-bar-sc {
  transition: all 5s;
} */
.hero-head {
  font-weight: 600;
  font-size: 8.2rem;
  line-height: 8rem;
  position: relative;
  cursor: pointer;
}
.hero-bar {
  display: none;
  position: absolute;
  z-index: 1;
  height: 1rem;
  width: 40rem;
  background-color: #15aabf;
}
.hero-bar-sc:hover .hero-bar {
  display: block;
  animation: slide 2s;
}
@keyframes slide {
  from {
    width: 0;
  }
  to {
    width: 30%;
  }
}
.hero-text {
  font-size: 2rem;
  width: 40rem;
}
.hero-arrow {
  margin: 2rem 0;
  height: 6rem;
}
.hero-arrow:hover {
  color: var(--se--clr);
}
.hero-btn {
  text-decoration: none;
  color: var(--ft--clr);
  background-color: var(--pr-clr);
  padding: 1.8rem 5.2rem;
}
.mr-10 {
  /* height: 100vh; */
  margin: 10rem;
}
.gal-head-1 {
  font-size: 3.2rem;
  font-weight: 400;
}
.gal-head-2 {
  font-size: 2.4rem;
  font-weight: 400;
  display: flex;
  align-items: baseline;
  justify-content: end;
  position: relative;
}
/* .zoom-img {
  animation: zoom 2s;
  animation-iteration-count: infinite;
  position: absolute;
  z-index: 2;
  top: 50%;
  left: 0;
  height: auto;
  width: 100%;
  transition: all 1s;
}
@keyframes zoom {
  from {
    transform: translateY(10px) scale(0.5);
  }
  to {
    transform: translateY(0) scale(0.5);
  }
} */

.gallery-3-row {
  display: grid;
  grid-template-rows: repeat(3, auto);
  gap: 2rem;
}
.gale-img-t-1 {
  width: 100%;
  height: auto;
  object-fit: cover;
}
.gale-img-col {
  position: relative;
}
.gal-overlay-1 {
  font-size: 3.5rem;
  position: absolute;
  top: 0;
  left: 1rem;
  z-index: 1;
  color: var(--ft--clr);
}
.gal-overlay-2 {
  position: absolute;
  top: 0%;
  right: 0;
  z-index: 1;
  color: var(--ft--clr);
  width: 60%;
  height: fit-content;
  padding: 2rem 2rem;
  /* padding: 2rem 0; */
  font-size: 1.8rem;
  display: none;
  background-color: rgba(0, 0, 0, 0.5);
  transition: width 2s;
}

.gale-img-col :hover .gal-overlay-2 {
  display: block;

  animation: slide3 2s;
}
@keyframes slide2 {
  from {
    width: 0;
  }
  to {
    width: 60%;
  }
}
@keyframes slide3 {
  from {
    transform: translateX(-100%);
  }
  to {
    transform: translateX(0%);
  }
}
.gal-2-col {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 2rem;
  /* height: 30vh; */
}
.ribbon-row {
  height: 33rem;
  background-color: var(--tr--clr);
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding-left: 20%;
}
.ribbon-row::before {
  content: "";
  background-image: url(../img/com.png);
  opacity: 0.3;
  background-size: contain;
  background-repeat: no-repeat;
  display: block;
  height: 100%;
  width: 90%;
  z-index: 0;
  top: 0;
  left: 0;
  position: absolute;
}
.ribbon-row h3 {
  font-size: 2rem;
  letter-spacing: 0.3rem;
  color: var(--se--clr);
  text-transform: uppercase;
  z-index: 1;
}
.ribbon-row h1 {
  font-size: 5.2rem;
  color: var(--ft--clr);
  z-index: 1;
}
.ribbon-row:hover {
  background-color: var(--trl--clr);
}
.review-img {
  filter: hue-rotate(1100deg);
  height: auto;
  width: 100%;
  object-fit: cover;
}
.review-pic {
  position: relative;
}
.review-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 16rem;
  font-size: 1.6rem;
  color: var(--ft--clr);
  font-weight: 400;
  margin-left: 2rem;
  margin-top: 2rem;
  padding: 1.6rem;
  border: 0.5rem solid white;
}
.review-text-1 {
  font-size: 1.6rem;
}
.review-text-2 {
  padding: 2rem 0;
  font-size: 1.8rem;
  color: #495057;
}
.read-btn {
  color: black;
  padding: 0.7rem 2.4rem;
  border: 2px solid black;
}
.avatar {
  border-radius: 50%;
  width: 4.8rem;
}
.avatar-col {
  display: flex;
  align-items: center;
  justify-content: right;
}
.avatar-name {
  display: flex;
  align-items: center;
  justify-content: start;
  font-size: 1.6rem;
  padding-left: 0.5rem;
  color: var(--pr-clr);
}
.grid-3-col-avatar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
}
.imge-quote {
  background-color: var(--pr-clr);
  /* height: 100vh; */
  margin: 10%;
  /* border: 10rem solid var(--se--clr); */
}
.img-col {
  position: relative;
}
.qt-img {
  height: auto;
  width: 100%;
  object-fit: cover;
  filter: hue-rotate(110deg);

  /* padding: 10rem; */
}
.overlay-flower {
  position: absolute;
  bottom: 8rem;
  right: 8rem;
  font-size: 2rem;
  color: var(--pr--clr);
  text-transform: uppercase;
}
.qt-img:hover {
  filter: hue-rotate(210deg);
}
.overlay-arrow {
  position: absolute;
  bottom: 7rem;
  right: 0;
  height: 6rem;
}
.overlay-arrow:hover {
  color: var(--pr-clr);
}
blockquote {
  font-size: 2.4rem;
  padding: 2rem;
  background-color: var(--pr-clr);
}
.qt-at {
  padding-top: 2rem;
}
blockquote p {
  font-size: 1.8rem;
}
footer {
  /* height: 70vh; */
  color: white;
  background-color: var(--pr-clr);
}
span {
  padding: 1rem;
  font-size: 2rem;
  font-weight: 600;
  color: white;
  margin-top: 0.5rem;
}
.col1 {
  display: flex;
  flex-direction: column;
  padding-top: 3%;
  align-items: baseline;
  padding-left: 10%;
}
.col2 {
  display: flex;
  flex-direction: column;
  padding-top: 3%;
  align-items: baseline;
  padding-left: 10%;
}
.social-svg {
  fill: white;
  border: 1px solid white;
  padding: 0.5rem;
  border-radius: 50px;
}
p {
  font-size: 1.6rem;
}
li {
  font-size: 2rem;
  font-weight: 400;
  list-style: none;
  padding: 1.6rem;
  cursor: pointer;
  width: 100%;
  cursor: pointer;
}
.address-2,
.address-1 {
  padding: 2rem;
}
.burger {
  display: none;

  flex-direction: column;
}
.burger > div {
  height: 5px;
  width: 50px;
  margin-bottom: 5px;
  background-color: white;
}
.hiden {
  display: none;
}
@media (width<748px) {
  .hero-arrow {
    height: 2rem;
  }
  .hero-sub-head {
    font-size: 1.5rem;
    line-height: 1.5rem;
  }
  .hero-head {
    font-size: 4rem;
    line-height: 4rem;
  }
  .hero-text {
    padding-top: 20px;
    font-size: 1.5rem;
    width: 80%;
  }
  .gal-head-1 {
    font-size: 1.5rem;
  }
  .gal-head-2 {
    font-size: 1.5rem;
  }
  .mr-10 {
    margin: 10%;
  }
  .gal-overlay-1 {
    font-size: 1.5rem;
  }
  .gal-overlay-2 {
    font-size: 0.8rem;

    text-overflow: ellipsis;

    overflow: hidden;
    white-space: nowrap;
  }
  .ribbon-row h3 {
    font-size: 1.5rem;
  }
  .ribbon-row h1 {
    font-size: 3rem;
  }
  blockquote {
    font-size: 1.8rem;
  }
  .review-overlay {
    font-size: 1rem;
  }
  li {
    font-size: 1rem;
  }
  nav {
    position: relative;
  }
}
@media (width<1382px) {
  li {
    font-size: 1rem;
  }
  .login-btn {
    font-size: 1rem;
    width: 100px;
  }
}
@media (width<985px) {
  .flex-row {
    flex-wrap: wrap;
  }
  .menu-ul {
    position: fixed;
    bottom: 0px;
    left: 0;
    display: flex;
    flex-direction: row;
    gap: 0.2rem;
    background-color: #0b7285;
    z-index: 9999;
    height: 50px;
    width: 100vw;
  }
  .menu-ul > li {
    padding: 0;
    font-size: 0.8rem;
    display: block;
    width: fit-content;
  }
  .login-btn {
    width: 70px;
  }
  /* nav {
    position: fixed;
    width: 100vw;
    z-index: 9999;
  } */

  .burger {
    display: flex;
    margin-right: 30px;
  }
}
